logs.Register("Raid", false, Color(180, 50, 255))

logs.AddHook("onPlayerStartedRaid", function(ply, ent, pl, id, name)
	logs.Log("Raid", ply:NameID().." hat einen Raid auf "..(IsValid(pl) and pl:NameID() or name).." gestartet", {
		["Name des Einbrechers"] = ply:Name(),
		["SteamID des Einbrechers"] = ply:SteamID(),
		["Name des Grundstück-Besitzers"] = name,
		["SteamID des Grundstück-Besitzers"] = id or nil
	})
end)

logs.AddHook("onRaidStopped", function(raidinfo, ply)
	if IsEntity(ply) then
		logs.Log("Raid", "Der Raid von "..ply:NameID().." auf "..raidinfo.target_name.." ("..raidinfo.target_id..") beendet", {
			["Name"] = ply:Name(),
			["SteamID"] = ply:SteamID()
		})
	else
		logs.Log("Raid", "Der Raid auf "..raidinfo.target_name.." ("..raidinfo.target_id..") wurde automatisch beendet")
	end
end)